/*
 *  CRSciView.h
 *  sci4osx_test
 *
 *  Created by serg on 7/20/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>

namespace Scintilla
{
  class ScintillaMacOSX;
}

class CRSciView
{
public:
  CRSciView();
  HIViewRef create();
  void init();
  OSStatus handleWindowEvent( EventHandlerCallRef inCallRef, EventRef inEvent, void* inUserData);
  operator HIViewRef() { return _sciView; }
  
  void set_text(const char *text);
  
private:
  HIViewRef _sciView;
  Scintilla::ScintillaMacOSX *_scintilla;
};
